| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Script::ScritpScalarFunctionExample::Container::Function Class Reference

Inheritance diagram for IG::Script::ScritpScalarFunctionExample::Container::Function:
[legend]
Collaboration diagram for IG::Script::ScritpScalarFunctionExample::Container::Function:
[legend]

List of all members.

## Public Member Functions
| Function ()
| Function (IAffineTransformation transf)
override double | ReferenceValue (IVector parameters)
| Returns the value of this function at the specified parameter in the reference coordinate system.
override void | ReferenceGradientPlain (IVector parameters, IVector gradient)
| Calculates the first derivative (gradient) of this function at the specified parameter in the reference coordinate system.
override void | ReferenceHessianPlain (IVector parameters, IMatrix hessian)
| Calculates the second derivative (Hessian) of this function at the specified parameters in the reference coordinate system.
## Protected Member Functions
override void | InitDynamic ()
| Initialization of variables that are used by dynamic loading mechanisim. This function must be overridden in derived classes.

## Constructor & Destructor Documentation

IG::Script::ScritpScalarFunctionExample::Container::Function::Function | ( |  | ) | `[inline]`

IG::Script::ScritpScalarFunctionExample::Container::Function::Function | ( | IAffineTransformation | transf | ) | `[inline]`

## Member Function Documentation

override void IG::Script::ScritpScalarFunctionExample::Container::Function::InitDynamic | ( |  | ) | `[inline, protected, virtual]`

Initialization of variables that are used by dynamic loading mechanisim. This function must be overridden in derived classes.

Implements IG::Lib::LoadableScalarFunctionBase.

override double IG::Script::ScritpScalarFunctionExample::Container::Function::ReferenceValue | ( | IVector | parameters | ) | `[inline, virtual]`

Returns the value of this function at the specified parameter in the reference coordinate system.

Parameters:

  parameters | Vector of parameters (in the REFERENCE system) where function is evaluated.

Reimplemented from IG::Lib::LoadableScalarFunctionBase.

override void IG::Script::ScritpScalarFunctionExample::Container::Function::ReferenceGradientPlain | ( | IVector | parameters,
|  | IVector | gradient
| ) |  | `[inline, virtual]`

Calculates the first derivative (gradient) of this function at the specified parameter in the reference coordinate system.

Parameters:

  parameters | Vector of parameters (in the REFERENCE system) where derivatives are evaluated.
  gradient | Vector where first derivatives (gradient) are stored.

Reimplemented from IG::Lib::LoadableScalarFunctionBase.

override void IG::Script::ScritpScalarFunctionExample::Container::Function::ReferenceHessianPlain | ( | IVector | parameters,
|  | IMatrix | hessian
| ) |  | `[inline, virtual]`

Calculates the second derivative (Hessian) of this function at the specified parameters in the reference coordinate system.

Parameters:

  parameters | Vector of parameters (in the REFERENCE system) where Hessian is evaluated.
  hessian | Matrix where second derivatives (Hessian) are stored.

Reimplemented from IG::Lib::LoadableScalarFunctionBase.

The documentation for this class was generated from the following file:

- ScalarFunctionScriptExample.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events